import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # General Section
 * @className twui-section
 */
export default function Section({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLElement>, HTMLElement>) {
    return (
        <section
            {...props}
            className={twMerge(
                "flex flex-col items-center w-full",
                "px-4 sm:px-10 py-10",
                "twui-section",
                props.className
            )}
        >
            {props.children}
        </section>
    );
}
